var anz: number = 5;

class Flug {
 id: number;
 abflugort: string;
 zielort: string;
 datum: Date;

 constructor() {
  this.datum = new Date(2015, 11, 24);
 }

 ausgabe() {
  document.write(this.id + this.abflugort + this.zielort + this.datum);

 }

}

var flugliste: Array<Flug> = new Array<Flug>();

for (var i: number = 1; i < anz; i++) {
 var f = new Flug();

 f.id = i;
 f.abflugort = "Berlin";
 f.zielort = "Paris";
 flugliste.push(f);

}

document.write("flugliste " + flugliste.length + "<br>");
flugliste[0].ausgabe();